org.keycloak.jose.jwk

## Class JWKBuilder

- java.lang.Object
- - org.keycloak.jose.jwk.JWKBuilder

-     public class JWKBuilder
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_PUBLIC_KEY_USE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWKBuilder` | `algorithm(String algorithm)`
    `static JWKBuilder` | `create()`
    `JWK` | `ec(Key key)`
    `JWKBuilder` | `kid(String kid)`
    `JWK` | `rs256(PublicKey key)`
    `JWK` | `rsa(Key key)`
    `JWK` | `rsa(Key key, KeyUse keyUse)`
    `JWK` | `rsa(Key key, List<X509Certificate> certificates)`
    `JWK` | `rsa(Key key, List<X509Certificate> certificates, KeyUse keyUse)`
    `JWK` | `rsa(Key key, X509Certificate certificate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PUBLIC_KEY_USE

          public static final String DEFAULT_PUBLIC_KEY_USE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static JWKBuilder create()

    - #### kid

          public JWKBuilder kid(String kid)

    - #### algorithm

          public JWKBuilder algorithm(String algorithm)

    - #### rs256

          public JWK rs256(PublicKey key)

    - #### rsa

          public JWK rsa(Key key)

    - #### rsa

          public JWK rsa(Key key,
                         X509Certificate certificate)

    - #### rsa

          public JWK rsa(Key key,
                         List<X509Certificate> certificates)

    - #### rsa

          public JWK rsa(Key key,
                         List<X509Certificate> certificates,
                         KeyUse keyUse)

    - #### rsa

          public JWK rsa(Key key,
                         KeyUse keyUse)

    - #### ec

          public JWK ec(Key key)

Copyright © 2021 JBoss by Red Hat. All rights reserved.